﻿<?include('header.php');?>
	<div class="row">
	<?php 
		if (isset($_POST['submit'])){
			$pedido_info = array();
			$valor_pedido = 0;
			$pedido_info['ID'] = mt_rand(8461, 95974);
			$pedido_info['Data'] = date('d/m/Y');
			$pedido_info['Hora'] = date('H:i:s');
			$pedido_info['Nome'] = $_POST['nome'];
			$pedido_info['Endereço'] = $_POST['endereco'];
			$pedido_info['Telefone'] = $_POST['telefone'];
			$pedido_info['Referencia'] = $_POST['referencia'];
			$pedido_info['Produtos'] = array();
			foreach($_SESSION['cardapio'] as $produto){
				if($_POST[$produto['Código']] != null){
					$produto_pedido = array();
					$produto_pedido['ID'] = $produto['Código'];
					$produto_pedido['Qtd'] = $_POST[$produto['Código']];
					$pedido_info['Produtos'][] = $produto_pedido;
					$preco = str_replace(',', '.', $produto['Preço']);
					$valor_pedido += floatval($preco) * $_POST[$produto['Código']];
					$valor_pedido = number_format($valor_pedido, 2, ',', '.');
				}
			}
			$pedido_info['Valor'] = $valor_pedido;
			$_SESSION['pedidos'][$pedido_info['ID']] = $pedido_info;
			$array_entregadores = array();
			foreach($_SESSION['entregadores'] as $entregador){
				$array_entregadores[$entregador['Placa']] = sizeof($entregador['Pedidos']);
			}
			$proximo_entregador = array_keys($array_entregadores, min($array_entregadores));
			$proximo_entregador = $proximo_entregador[0];
			$_SESSION['entregadores'][$proximo_entregador]['Pedidos'][] = $pedido_info['ID'];
		}
		
	?>
	<form action="" method="post" name="fazer-pedido">
	<div class="col-xs-6"><p><b>Nome: </b><input type="text" name="nome" class="form-control"></input></p>
	<p><b>Endereço: </b><input type="text" name="endereco" class="form-control"></input></p></div>
	<div class="col-xs-6"><p><b>Telefone: </b><input type="text" name="telefone" class="form-control"></input></p>
	<p><b>Referência: </b><input type="text" name="referencia" class="form-control"></input></p></div>
	<?php
	
		foreach($_SESSION['cardapio'] as $id => $produto){
			$preco = str_replace(',', '.', $produto['Preço']);

			$preco = number_format(floatval($preco), 2, ',', '.');
			echo "<div class='col-xs-3 produto'>";
			if($produto['Tipo'] == 'R')
				echo "<img src='images/refeicao.png'>";
			else if($produto['Tipo'] == 'B')
				echo "<img src='images/bebida.png'>";
			else if ($produto['Tipo'] == 'S')
				echo "<img src='images/sobremesa.png'>";
			echo "<br><h4>" . $produto['Item'] . "</h4><br>";
			if($produto['Tipo'] == 'R')
				echo $produto['Quente'] == 'x' ?  "<p>Refeição Quente</p>" : "<p>Refeição Fria</p>";
			if($produto['Tipo'] == 'B')
				echo "<p><b>Volume: </b>" . $produto['Volume'] . "mL";
			if($produto['Tipo'] == 'S')
				echo "<p><br></p>";
			echo "<p class='preco'><b>Preço:</b> R$ " . $preco . '</p>';
			echo "<input class='form-control' name='".$id."' type='number' min='0' placeholder='Quantidade'>";
			echo "</div>";
		}
	
	?>
	</div>
	
	<input type="submit" name="submit" value="Finalizar Pedido" class="btn btn-danger"></input>
	</form>
</div>

<?php include('footer.php')?>
